Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 29637 - Remove regexp from platform
Remove regexp from platform
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: -- Other --
3.x
All All
: P3 (vote)
: 3.x
Assigned To: Jesse Glick
issues@platform
:
Depends on:
Blocks: 17815
  Show dependency treegraph
 
Reported: 2002-12-19 14:00 UTC by Jesse Glick
Modified: 2008-12-22 19:19 UTC (History)
0 users

See Also:
Issue Type: TASK
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jesse Glick 2002-12-19 14:00:43 UTC
org.apache.regexp does not need to be in the
platform really, nor in lib/ext/. It should be an
autoload module. There are only two core users left:

- Compiler API (external compiler error regexp),
which is already a module anyway

- ExLocalFileSystem (ignored files), which could
probably just use java.util.regex.* on 1.4, and
not offer this ability on 1.3

Package deps should be autoconverted to module
deps of course.
Comment 1 Jesse Glick 2003-06-06 16:31:01 UTC
committed 1.9   ant/docs/build.xml
committed 1.10  apisupport/ant/build.xml
committed 1.3   contrib/mailfs/build.xml
committed 1.53  corba/build.xml
committed 1.67  core/build.xml
committed 1.23  core/manifest.mf
committed 1.5   core/external/.cvsignore
committed 1.5   core/external/build.xml
removed   1.2   core/external/regexp-1.2.jar.scrambled
committed 1.3   core/registry/build.xml
committed 1.5   core/release/system/ModuleAutoDeps/org-netbeans-core.xml
committed 1.32  core/src/org/netbeans/core/ExLocalFileSystem.java
committed 1.71  core/src/org/netbeans/core/modules/NbInstaller.java
committed 1.4   core/src/org/netbeans/core/perftool/Parser.java
committed 1.30  cpp/build.xml
committed 1.23  diff/build.xml
committed 1.39  editor/build.xml
committed 1.30  filecopy/build.xml
committed 1.49  i18n/build.xml
committed 1.36  jarpackager/build.xml
committed 1.58  java/build.xml
committed 1.35  javacvs/build.xml
committed 1.8   javacvs/changelog/build.xml
committed 1.6   libs/build.xml
committed 1.4   libs/jar.list
committed 1.7   libs/public.properties
committed 1.6   libs/external/.cvsignore
committed 1.9   libs/external/build.xml
added     1.1   libs/external/regexp-1.2.jar.scrambled
added     1.1   libs/regexp/.cvsignore
added     1.1   libs/regexp/build.xml
added     1.1   libs/regexp/manifest.mf
added     1.1   libs/regexp/src/org/netbeans/libs/regexp/Bundle.properties
committed 1.22  libs/www/index.html
committed 1.92  nbbuild/build.properties
committed 1.336 nbbuild/build.xml
committed 1.11  nbbuild/antsrc/org/netbeans/nbbuild/CheckLinks.java
committed 1.21  nbbuild/antsrc/org/netbeans/nbbuild/MakeParserDB.java
committed 1.13  nbbuild/javadoctools/template.xml
committed 1.35  objectbrowser/build.xml
committed 1.145 openide/build.xml
committed 1.14  openide/api/doc/org/openide/doc-files/classpath.html
committed 1.59  openide/api/doc/org/openide/doc-files/upgrade.html
committed 1.90  openide/api/doc/org/openide/modules/doc-files/api.html
committed 1.11  openide/compiler/build.xml
committed 1.4   openide/compiler/manifest.mf
committed 1.5   openide/registry/build.xml
committed 1.9   tasklist/compiler/build.xml
committed 1.8   tasklist/docscan/build.xml
committed 1.7   tasklist/editor/build.xml
committed 1.7   tasklist/javadoc/build.xml
committed 1.7   tasklist/javaparser/build.xml
committed 1.8   tasklist/pmd/build.xml
committed 1.36  usersguide/build.xml
committed 1.40  utilities/build.xml
committed 1.40  vcscore/build.xml
committed 1.34  vcscvs/build.xml
committed 1.10  vcscvs/compat/build.xml
committed 1.10  vcsgeneric/profiles/clearcase/build.xml
committed 1.18  vcsgeneric/profiles/cvsprofiles/build.xml
committed 1.8   vcsgeneric/profiles/javacvs/build.xml


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo